nsis - Nullsoft Scriptable Install System (modified for Debian)

Distribution: Ubuntu 12.04 LTS (Precise Pangolin)
Repository: Ubuntu Universe amd64
Package name: nsis
Package version: 2.46
Package release: 7
Package architecture: amd64
Package type: deb
Installed size: 584 B
Download size: 240.16 KB
Official Mirror: archive.ubuntu.com
NSIS is a tool for creating quick and user friendly installers for Microsoft Windows (Win32) operating systems. NSIS creates installers that are capable of installing, uninstalling, setting system settings, extracting files, etc. Because it's based on script files, you can fully control every part of your installers. The script language supports variables, functions, string manipulation, just like a normal programming language - but designed for the creation of installers. Even with all these features, NSIS is still the smallest installer system available. With the default options, it has an overhead of only 34 KB.



    Binary package: nsis_2.46-7_amd64.deb
    Source package: nsis

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install nsis deb package:
      # sudo apt-get install nsis


    • /etc/nsisconf.nsh
    • /usr/bin/GenPat
    • /usr/bin/LibraryLocal
    • /usr/bin/genpat
    • /usr/bin/makensis
    • /usr/share/doc/nsis/NEWS.Debian.gz
    • /usr/share/doc/nsis/README.Debian
    • /usr/share/doc/nsis/TODO.Debian
    • /usr/share/doc/nsis/TODO.txt
    • /usr/share/doc/nsis/changelog.Debian.gz
    • /usr/share/doc/nsis/copyright
    • /usr/share/man/man1/GenPat.1.gz
    • /usr/share/man/man1/LibraryLocal.1.gz
    • /usr/share/man/man1/genpat.1.gz
    • /usr/share/man/man1/makensis.1.gz


    2012-01-05 - Didier Raboud <odyx@debian.org> nsis (2.46-7) unstable; urgency=low * Make plugins not depend on libgcc_s_sjlj-1.dll nor libdtdc++-6.dll by forcing static compilation of both libgcc and libstdc++. (Closes: #654380)

    2011-10-07 - Thomas Gaugler <thomas@dadie.net> nsis (2.46-6) unstable; urgency=low * Corrected command line options passed to scons for build/NEWS target. * Use zmemcpy function of the same calling convention.

    2011-06-18 - Thomas Gaugler <thomas@dadie.net> nsis (2.46-5) unstable; urgency=low * Add Replaces/Breaks against nsis to the new packages (Closes: #630620)

    2011-06-11 - Thomas Gaugler <thomas@dadie.net> nsis (2.46-4) unstable; urgency=low [ Thomas Gaugler ] * Run architecture independent build process only when demanded. * Split NSIS package into four packages: - compiler and utilities (architecture dependent) - plugins, stubs and resource files (win32) - header and library files for developing NSIS plugins (win32) - examples and HTML documentation (architecture independent) * Updated to Standards-Version 3.9.2 * Support building with mingw-w64 (Closes: #620099) * Support parallel build [ Didier Raboud ] * Don't hide output from scons in clean. * Move packaging from Subversion to Git, update Vcs-* fields. * Add explicit libstdc++6-4.6-dev Build-Depend.

    2010-11-07 - Thomas Gaugler <thomas@dadie.net> nsis (2.46-3) experimental; urgency=low * Fixed warnings of missing elements occuring in man page generation * Use variant_dir instead of build_dir keyword in SConstruct file * Run complete set of tests independent of architecture * Removed the option to build with the orphaned gcc-mingw32 * Removed architecture restrictions * Updated to Standards-Version 3.9.1

    2010-05-05 - Thomas Gaugler <thomas@dadie.net> nsis (2.46-2) unstable; urgency=low * Updated zlib patch with changes from upstream subversion repository * Made embedded inflate function compatible with zlib (Closes: #579407) * Exclude unneeded win32-only utilities from building * Build makensis and portable utilities natively for amd64

    2009-12-22 - Thomas Gaugler <thomas@dadie.net> nsis (2.46-1) unstable; urgency=low [ Thomas Gaugler ] * New upstream release * Switch to 3.0 (quilt) source format * Use the system provided compression library of zlib * Switch to debhelper 7's minimal rules file mode [ Paul Wise ] * Link against the 32-bit zlib on amd64 to prevent FTBFS

    2009-08-17 - Thomas Gaugler <thomas@dadie.net> nsis (2.45-1) unstable; urgency=low * New upstream release * Adopted package from Paul Wise with his permission * Allow building with either gcc-mingw32 (>= 4.4.0-3) or mingw32 * Fixed occurring access violation in Math plugin once the installer window is closed.

    2009-03-20 - Paul Wise <pabs@debian.org> nsis (2.44-4) unstable; urgency=low * Brown paper bag upload * Actually give the option to dh_strip (closes: #519703)

    2009-03-16 - Paul Wise <pabs@debian.org> nsis (2.44-3) unstable; urgency=low * Don't let dh_strip work on (and break) the libpluginapi.a file (Closes: #519703). * Support new nocheck option in DEB_BUILD_OPTIONS * Bump Standards-Version, nsis now complies